Skip to main content
`Ctrl`+`K`

# convert_to_writable_filelike

astropy.io.votable.util.convert_to_writable_filelike(fd, compressed=False)

  Returns a writable file-like object suitable for streaming output.

  Parameters:
    fd `python:str` or python:file-like object

      May be:

      > - a file path string, in which case it is opened, and the file object is returned.

      > - an object with a `write` method, in which case that object is returned.

    compressed bool, optional

      If `True`, create a gzip-compressed file. (Default is `False`).

  Returns:
    fd file-like (writeable)